OS X still requiring Java 6?

Continuing the discussion from Trouble launching Fiji in MacOS:

Java 6 should not need to be installed. Perhaps there are still bugs in the ImageJ Launcher component that cause this behavior somehow. Are you sure your Fiji installation was fully up to date?

I know Java 6 should not be needed, which is why it puzzled me. But since the issue went away I didn’t follow up to isolate the problem. This happened just after I had upgraded my home desktop OS to El Capitan and unfortunately I can’t recall if I’d downloaded a fresh copy of Fiji at that point or attempted to launch my previous version.

Thanks @tswayne. If your version of Fiji was out of date, that would certainly explain the behavior. So barring further evidence otherwise, let’s not worry too much about other possibilities for the moment.

1 Like